#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Generic formula compulation library
Summary(pl.UTF-8):	Ogólna biblioteka do obliczania wzorów
Name:		ixion
Version:	0.9.1
Release:	5
License:	MIT
Group:		Libraries
#Source0Download: https://gitlab.com/ixion/ixion
Source0:	http://kohei.us/files/ixion/src/libixion-%{version}.tar.xz
# Source0-md5:	d292f6d62847f2305178459390842eac
URL:		https://gitlab.com/ixion/ixion
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	boost-devel >= 1.36
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	mdds-devel >= 0.12.0
BuildRequires:	python >= 1:2.7.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ixion aims to provide a library for calculating the results of formula
expressions stored in multiple named targets, or "cells". The cells
can be referenced from each other, and the library takes care of
resolving their dependencies automatically upon calculation. The
caller can run the calculation routine either in a single-threaded
mode, or a multi-threaded mode. The library also supports
re-calculation where the contents of one or more cells have been
modified since the last calculation, and a partial calculation of only
the affected cells gets performed. It is written entirely in C++, and
makes extensive use of the boost library to achieve portability across
different platforms.

%description -l pl.UTF-8
Projekt Ixion ma na celu dostarczenie biblioteki do obliczania wyników
wyrażeń określonych wzorami zapisanymi w wielu nazwanych miejscach -
"komórkach". Komórki mogą odwoływać się do siebie nawzajem, a
biblioteka dba o automatyczne rozwiązywanie ich zależności przy
obliczeniach. Procedura obliczająca może być wywołana w trybie
jednowątkowym lub wielowątkowym. Biblioteka obsługuje także ponowne
przeliczanie w przypadku zmiany zawartości jednej lub większej liczby
komórek od poprzednich obliczeń; wykonywane jest tylko przeliczanie
komórek, których zmiana dotyczy. Biblioteka jest napisana całkowicie w
C++ i intensywnie wykorzystuje bibliotekę boost, aby osiągnąć
przenośność na wiele platform.

%package devel
Summary:	Development files for ixion
Summary(pl.UTF-8):	Pliki nagłówkowe dla ixion
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.36
Requires:	libstdc++-devel
Requires:	mdds-devel >= 0.12.0

%description devel
This package contains the header files for developing applications
that use ixion.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
ixion.

%package static
Summary:	Static ixion library
Summary(pl.UTF-8):	Statyczna biblioteka ixion
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ixion library.

%description static -l pl.UTF-8
Statyczna biblioteka ixion.

%package -n python-ixion
Summary:	Python interface to ixion library
Summary(pl.UTF-8):	Interfejs Pythona do biblioteki ixion
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-ixion
Python interface to ixion library.

%description -n python-ixion -l pl.UTF-8
Interfejs Pythona do biblioteki ixion.

%prep
%setup -q -n libixion-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/ixion.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/ixion.a
%endif
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/ixion-parser
%attr(755,root,root) %{_bindir}/ixion-sorter
%attr(755,root,root) %{_libdir}/libixion-0.10.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libixion-0.10.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libixion-0.10.so
%{_includedir}/libixion-0.10
%{_pkgconfigdir}/libixion-0.10.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libixion-0.10.a
%endif

%files -n python-ixion
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/ixion.so
%changelog
* Mon Sep 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ixion.git;a=log;h=master

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 66ef4d5
- release 5 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c32a084
- release 4 (by relup.sh)

* Sun Jun 14 2015 Jan Rękorajski <baggins@pld-linux.org> 7ac8364
- release 3 (by relup.sh)

* Fri Jun 05 2015 Łukasz Kieś <kiesiu@pld-linux.org> a2b8cbc
- rebuild with boost 1.58
- release 2 (by relup.sh)

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> ef81fbd
- updated to 0.9.1 (note: new library name)
- removed obsolete am patch and configure boost thread hack

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 06023fb
- rebuild with boost 1.57.0
- release 3 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0c697d7
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 31b608a
- Merge branch 'master' of git://git.pld-linux.org/packages/ixion

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 940f72a
- updated to 0.7.0

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> b2e94c4
- - rebuild with boost 1.55.0
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0994df5
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 0450d73
- release 2 (by relup.sh)

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 2270dba
- noted download URL

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> f369ddf
- updated to 0.5.0 (note: new library name)

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> b8fb894
- updated to 0.3.0
- added am patch (fixes build with automake 1.13)

* Sat Mar 17 2012 Jakub Bogusz <qboosh@pld-linux.org> fb44557
- new

